# (c) cavaliba.com - test / views / IAM anonymous

from django.core.cache import cache as cache_django
from django.test import TestCase
from django.urls import reverse

import app_home.cache as cache


class TestViewsIAMAnonymous(TestCase):
    def setUp(self):
        cache.clear()
        cache_django.clear()

    def test_anonymous_public(self):
        response = self.client.get(reverse("app_home:index"))
        self.assertEqual(response.status_code, 302)
